%global commit0 8b5c1bc58a134cdbfcce4a55c3b09dfee2dbf469
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver 4.1.1
%global vabi 3.1
%global vabistrict 66bb824
#% global vplus  -plus

Name: vmod-rtstatus
Summary: Real-Time status module for Varnish
Version: 1.0.1
Release: 0.2.20160203git%{?shortcommit0}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-rtstatus
Source0: https://github.com/varnish/lib%{name}/archive/%{commit0}.tar.gz#/lib%{name}-%{version}.tar.gz
buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# source tarball built like this:
#  git clone https://github.com/varnish/libvmod-rtstatus.git
#  cd libvmod-rtstatus
#  git checkout 8b5c1bc
#  ./autogen.sh && ./configure && make && make dist

requires: varnish = %varnishver
requires: varnishabi-%vabi
requires: varnishabi-strict-%vabistrict

buildrequires: make
buildrequires: gcc
buildrequires: pkgconfig
#buildrequires: python-docutils
buildrequires: varnish = %varnishver
buildrequires: varnish%{?vplus}-libs-devel = %varnishver
%if 0%{?el5}
BuildRequires: python26
%endif

%description
Real Time status page for Varnish

%prep
%setup -q -n lib%{name}-%{version}

%build
export RST2MAN=/bin/true
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%else
%doc LICENSE
%endif
%doc README.rst
%{_mandir}/man3/*.3*

%changelog
* Wed Feb 03 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.2.20160203git8b5c1bc
- Rebuilt 4.1 branch for varnish-4.1.1

* Mon Nov 02 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.1.git.92d1618
- Wrapped for copr/fedora

